|
Jive API (4.5.7.0) Core Javadocs | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
AdvancedUserBarProvider instead.
public interface UserBarProvider
Provides an alternate method to ui-components.xml for customizing the user bar dropdowns.
| Method Summary | |
|---|---|
java.lang.String |
getUserBarBrowseURL()
Deprecated. This method should return the relative URL which will enable users to browse objects of the containable type which are visible to them. |
java.lang.String |
getUserBarChooseContainerAction()
Deprecated. Returns the name of struts action used for selecting which container will house the new containable type. |
java.lang.String |
getUserBarChooseContainerActionJSHelper()
Deprecated. Returns the name of the javascript function which is responsible for loading the struts action which is used for selecting which container will house the new containable type. |
java.lang.String |
getUserBarChooseContainerActionParams(JiveContainer targetContainer)
Deprecated. Returns the request parameters required by the struts action used for selecting which container will house the new containable type. |
java.lang.String |
getUserBarYourStuffAdditionalDisplayLabel()
Deprecated. This method should return any additional labeling for the containable type in the user bar's "Your Stuff" dropdown. |
java.lang.String |
getUserBarYourStuffURL()
Deprecated. This method should return the relative URL which will enable the current user browse objects of this type that they own. |
boolean |
isVisibleOnUserBarBrowseDropDown()
Deprecated. Returns true if the content type should be visible on the userbar drop down for browsing objects of that type, given the current container. |
boolean |
isVisibleOnUserBarHistoryDropDown(JiveContainer currentContainer)
Deprecated. Returns true if the content type should be visible on the userbar drop down for browsing objects of that type, given the current container. |
boolean |
isVisibleOnUserBarNewDropDown()
Deprecated. Reurns true if the content type should be visible as part of the "New" drop down in the User Bar. |
boolean |
isVisibleOnUserBarYourStuffDropDown()
Deprecated. Returns true if the content type should be visible on the userbar drop down for navigating to a collection of user's objects, given the current container. |
| Method Detail |
|---|
boolean isVisibleOnUserBarNewDropDown()
boolean isVisibleOnUserBarYourStuffDropDown()
boolean isVisibleOnUserBarBrowseDropDown()
boolean isVisibleOnUserBarHistoryDropDown(JiveContainer currentContainer)
currentContainer -
java.lang.String getUserBarChooseContainerAction()
Returns the name of struts action used for selecting which container will house the new containable type. This struts action will be activated from the user bar. For example: choose-container-quick If this method returns null or empty string, the containable type will not be available from the user bar 'New' dropdown.
java.lang.String getUserBarChooseContainerActionParams(JiveContainer targetContainer)
Returns the request parameters required by the struts action used for selecting which container will house the new containable type. These parameters are typically key-value pairs (ex. containerType=102&container=100) based off the containable type, and the passed-in target container. For example: container=1207&containerType=700&documentID=&tagSet=&tags=&subject=# If this method returns null or empty string, the containable type will not be available from the user bar 'New' dropdown.
targetContainer - The container selected for containing the new containable type.
getUserBarChooseContainerAction()java.lang.String getUserBarChooseContainerActionJSHelper()
java.lang.String getUserBarYourStuffAdditionalDisplayLabel()
This method should return any additional labeling for the containable type in the user bar's "Your Stuff" dropdown. This is supposed to be additional information about the content item listed in the your stuff drop down. If, for example, you needed to say that there were n number of outstanding items, this method is what you use to construct that messaging. The method may return null or empty string, in which case the system will not present any additional text along with the default link for the containable type.
java.lang.String getUserBarBrowseURL()
This method should return the relative URL which will enable users to browse objects of the containable type which are visible to them. For example: main-threads.jspa The method must not return null or empty string. If it does, the content type will not be displayed on the dropdown.
java.lang.String getUserBarYourStuffURL()
This method should return the relative URL which will enable the current user browse objects of this type that they own.
|
Jive Product Page | |||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||